<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div
          class="col-7 left-contain-on-border bg-white text-center overflow-main-contain scrollbar"
        >
          <div class="space-2" />
          <h4 class="t-color-soft-gray">CREATE YOUR ACCOUNT</h4>
          <h1 class="t-color-red">Project Management</h1>
          <p class="t-color-soft-gray">Join us to manage your team project</p>
          <div class="row">
            <div class="col-2" />
            <div class="col-8">
              <form>
                <div class="group">
                  <input type="text" v-model="username" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Username</label>
                  <div class="row absolute">
                    <h6 v-if="username === ''" class="t-validate-div t-color-red col-12 right">
                      <i class="fa fa-exclamation-circle" /> Username is required
                    </h6>
                    <h6
                      v-if="(username.length > 0) && (username.length < 6)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" /> Username must have at least 6 characters
                    </h6>
                    <h6
                      v-if="username.length > 5"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <div class="group">
                  <input type="text" v-model="email" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Email</label>
                  <div class="row absolute">
                    <h6 v-if="email === ''" class="t-validate-div t-color-red col-12 right">
                      <i class="fa fa-exclamation-circle" /> Password is required
                    </h6>
                    <h6
                      v-if="(email !=='') && (!reg.test(email))"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" /> Please Enter Correct Email
                    </h6>
                    <h6
                      v-if="(email !=='') && (reg.test(email))"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <div class="group">
                  <input type="password" v-model="password" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Password</label>
                  <div class="row absolute">
                    <h6 v-if="password === ''" class="t-validate-div t-color-red col-12 right">
                      <i class="fa fa-exclamation-circle" /> Password is required
                    </h6>
                    <h6
                      v-if="(password.length > 0) && (password.length < 6)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Password must have at least 6 characters
                    </h6>
                    <h6
                      v-if="(password.length > 5)"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <div class="group">
                  <input type="password" v-model="conpassword" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Confirm Password</label>
                  <div class="row absolute">
                    <h6 v-if="conpassword === ''" class="t-validate-div t-color-red col-12 right">
                      <i class="fa fa-exclamation-circle" /> Confirm password is required
                    </h6>
                    <h6
                      v-if="(conpassword.length > 0) && (conpassword.length < 6)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Confirm password must have at least 6 characters
                    </h6>
                    <h6
                      v-if="(password !== conpassword) && (conpassword !== '')"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Your password incorrect to matching
                    </h6>
                    <h6
                      v-if="(password === conpassword) && (conpassword !== '') && (conpassword.length > 5)"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <botton class="btn" v-on:click="signup">SIGN UP NOW</botton>
              </form>
              <div class="space-2" />
              <h6 class="t-color-soft-gray">
                I have an account?
                <router-link to="/signin" class="link">Sign in</router-link>
              </h6>
            </div>
            <div class="col-2" />
          </div>
        </div>
        <div class="col-5 right-contain-on-border img-auth-bg"></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
  },
  data () {
    return {
      username: '',
      email: '',
      password: '',
      conpassword: '',
      reg: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,24}))$/
    }
  },
  methods: {
    signup: function (e) {
      console.log(this.username)
      e.preventDefault()
      this.axios
        .post('http://127.0.0.1:8000/api/signup', {
          username: this.username,
          email: this.email,
          password: this.password,
          passwordConfirmation: this.conpassword
        })
      this.$router.push('/emailcon/' + this.email)
        .then(response => {
          console.log(response)
        })
        .catch(error => {
          console.log(error)
        })
    }
  }
}
</script>
